package gameaction;

import gameobjects.characters.AbstractCharacterSprite;
import gameobjects.item.Item;
import location.GameLocation;
import location.Hotspot;

/**
 * A game action that represents using an item
 * @author Frank Bruns
 *
 */
public class Use extends AbstractGameAction
{
	private Hotspot hotspot = null;
	private Item item = null;
	
	public Use(AbstractCharacterSprite c,Hotspot hot, Item item)
	{
		super(c);
		this.hotspot = hotspot;
		this.item = item;
	}
	
	@Override
	public void update(long elapsedTime)
	{
		
	}
}
